/* xcf.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_xcf_h
#define N96_DRAW_xcf_h

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#define XCF_PROP_APPLY_MASK (11u)
#define XCF_PROP_BLEND_SPACE (37u)
#define XCF_PROP_COMPOSITE_MODE (35u)
#define XCF_PROP_COMPOSITE_SPACE (36u)
#define XCF_PROP_COMPRESSION (17u)
#define XCF_PROP_MODE (7u)
#define XCF_PROP_OFFSETS (15u)
#define XCF_PROP_FLOAT_OPACITY (33u)
#define XCF_PROP_VISIBLE (8u)
#pragma pack(1)
typedef struct XcfHeader {
	char magic[9];
	char version[5];
	unsigned int width;
	unsigned int height;
	unsigned int base_type;
	unsigned int precision;
} XcfHeader;

XcfHeader xcf_header_default();

#endif /* N96_DRAW_xcf_h */
